%define	smartear_version 0.81.1
%define gaim_version 0.81
%define release 1mdk

Summary:	SmartEar plugin for gAIM
Name:		gaim-smartear
Version:	%{gaim_version}_%{smartear_version}
Release:	%{release}
License:	GPL
Group:		Networking/Instant messaging
URL:		http://somewhere.fscked.org/smartear/
Source:		http://somewhere.fscked.org/smartear/smartear-%{smartear_version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gaim-devel >= %{gaim_version}
# keep this until gaim-devel has correct dependency
BuildRequires:	gtk2-devel
Requires:	gaim >= %{gaim_version}

%description
This is a plugin for GAIM, an instant messanger.
With it, you can assign different sounds to play for different buddies
or whole groups of buddies. SmartEar allows you to opt to play sounds
when a buddy sends you an IM, signs on, returns from away or idle, or
any combination of these, so you'll know by the sound what the
important people are doing.

Author suggests turning off default gaim sound event before using this
plugin.

%prep
%setup -q -n smartear-%{smartear_version}

%build
gcc `pkg-config --cflags gaim gtk+-2.0` $RPM_OPT_FLAGS -c -o smartear.o smartear.c
gcc -shared -o smartear.so smartear.o

%install
rm -rf %{buildroot}
install -D -m 755 smartear.so %{buildroot}%{_libdir}/gaim/smartear.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/gaim/smartear.so

%changelog
* Wed Aug 18 2004 Abel Cheung <deaddog@deaddog.org> 0.81_0.81.1-1mdk
- First Mandrake package

